import express from "express"; //ECMA6 ES2015 syntax, supported by latest Chrome & NodeJS
import cors from "cors";

const PORT = 8000;
const app = express();

app.use(cors()); // allow server to accept requests from other domains
app.use(express.json()); // requests and responses should be JSON / dictionaries

// GET, POST, PUT ..
app.get('/', async (req, res) => {
   res.send('It works!');
});

//! POST
app.post('/get_scores', async (req, res) => {
   console.log(req.body); // JSON / Dict
   let response = {
     is_success: true
   };

  //TODO

   res.send(response);
});

app.post('/insert_score', async (req, res) => {
  console.log(req.body); // JSON / Dict
  let response = {
    is_success: true
  };

  //TODO

  res.send(response);
});

app.post('/delete_score', async (req, res) => {
  console.log(req.body); // JSON / Dict
  let response = {
    is_success: true
  };

  //TODO

  res.send(response);
});

app.listen(PORT, () => {
    console.log(`Server running on http://localhost:${PORT}`);
})
